import PersonalProtectionPlan from '../../../protection-plan/domain/models/personal-protection-plan';
import ProtectionPlanRepository from '../../../protection-plan/domain/repositories/protection-plan-repository';
export declare class SavePersonalProtectionPlanUseCase {
    private repo;
    constructor(repo: ProtectionPlanRepository);
    execute(plan: PersonalProtectionPlan): Promise<any>;
}
